%global srcname camel
%global sum Python serialization for adults

Name:		python-%{srcname}
Version:	0.1
Release:	2%{?dist}
Summary:	%{sum}

License:	ISC
URL:		http://github.com/eevee/camel
Source0:	https://files.pythonhosted.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz
Source1:	README.txt

BuildRequires:	python2-devel
BuildRequires:	python3-devel
BuildRequires:	git
# %check dependencies
BuildRequires:	PyYAML
BuildRequires:	python3-PyYAML
BuildRequires:	python2-pytest
BuildRequires:	python3-pytest

BuildArch:  noarch

# Fetched from uptream github to allow Python 3 to build
# https://github.com/eevee/camel/commit/13b7a26807d6c2e545d8a44dd89abfd40205835b
Patch0:		python3_decode.patch

%description
Camel is a library that lets you describe how to serialize
your objects in YAML - and refuses to serialize them if
you don't.

%package -n python2-%{srcname}
Summary:	%{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Camel is a library that lets you describe how to serialize
your objects in YAML - and refuses to serialize them if
you don't.

%package -n python3-%{srcname}
Summary:	%{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Camel is a library that lest you describe how to serialize
your objects in YAML - and refuses to serialize them if
you don't.

%prep
# Missing file from the source tarball
rm -rf %{srcname}-%{version}
mkdir -p %{srcname}-%{version}
cp %{SOURCE1} %{srcname}-%{version}/README.txt
# Now we can setup
%autosetup -n %{srcname}-%{version} -D -S git

%build
%py2_build
%py3_build


%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{srcname}
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{srcname}
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 14 2017 Greg Hellings <greg.hellings@gmail.com> - 0.1-2
- Added link to patch source
- Corrected license claim

* Mon Apr 03 2017 Greg Hellings <greg.hellings@gmail.com> - 0.1-1
- Upstream version 0.1
